#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	Map
Summary:	Perl Unicode::Map module
Summary(pl.UTF-8):	Moduł Perla Unicode::Map
Name:		perl-Unicode-Map
Version:	0.112
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	edaa8fc5ddf0e5d805e274283dd0625d
URL:		http://search.cpan.org/dist/Unicode-Map/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Startup
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::Map module converts strings from and to Unicode UCS2 format.

%description -l pl.UTF-8
Moduł Unicode::Map konwertuje łańcuchy znaków na format Unicode UCS2 i
odwrotnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Unicode/Map
%{perl_vendorarch}/Unicode/Map.pm
%dir %{perl_vendorarch}/auto/Unicode/Map
%{perl_vendorarch}/auto/Unicode/Map/Map.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/Map/Map.so
%{_mandir}/man[13]/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-Map.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c7f2810
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 4a11215
- rel 8

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 71ff26e
- release 7

* Sun Jun 06 2010 radek <radek@pld-linux.org> f07d880
- release 6

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 0f38495
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 81d5727
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bafde73
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 80c748c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0253db6
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> aab1bec
- added URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 67671dd
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> ea95103
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 58da8dd
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 5a7cb09
- tests added, license fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 2f623f2
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> fbe1ccb
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8597968
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 909fb4b
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 56eb05c
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4001d24
- should be ready for perl-5.8.0; release++

